@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@200;300;400;500;600&display=swap');

:root {
    --peru: #cd9542;
    --black: #222;
    --white: #fff;
    --light-black: #666;
    --light-white: #ccc;
    --light-bg: #f5f5f5;
    --dark-bg: rgba(0, 0, 0, 0.7);
    --border: .1rem solid #aaa;
    --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.1);
}

* {
    font-family: 'Dosis', sans-serif;
    margin: 0;padding: 0;
    box-sizing: border-box;
    outline: none;border: none;
    text-decoration: none;
    transition: all 0.4s cubic-bezier(.43, 1.1, .62, 1.08);
    text-transform: capitalize;
}

* > img {
    user-select: none;
    pointer-events: none;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
}

html::-webkit-scrollbar {
    width: 1rem;
}

html::-webkit-scrollbar-track {
    background-color: var(--white);
}

html::-webkit-scrollbar-thumb {
    background-color: var(--peru);
}

section {
    padding: 5rem 10%;
}

.heading {
    text-align: center;
    margin-bottom: 3rem;
}

.heading span {
    font-size: 2.5rem;
    color: var(--peru);
}

.heading h3 {
    font-size: 4.5rem;
    color: var(--black);
}

.btn {
    margin-top: 1rem;
    display: inline-block;
    background: var(--peru);
    color: var(--white);
    font-size: 2rem;
    cursor: pointer;
    padding: 1rem 3rem;
    position: relative;
    overflow: hidden;
    z-index: 0;
    border: 1px solid transparent;
}
.btn-get{
    margin-top: 1rem;
    display: inline-block;
    background: var(--peru);
    color: var(--white);
    font-size: 2rem;
    cursor: pointer;
    padding: 1rem 3rem;
}
.btn::after{
    content:'';
    position: absolute;
    top:0;
    right: 0;
    bottom: 0;
    width: 0;
    background:var(--white);
    transition:width 0.5s ease-in-out;
    z-index: 0;

}
.btn-get{
    position: relative;
    z-index: 1;
}
.btn-get:hover{
    letter-spacing: .2rem;
    
}
.btn:hover{
    color:var(--peru);
    border:1px solid var(--peru);
}
.btn span{
    position: relative;
    z-index: 1;
}
.btn:hover:after {
    left:0;
    width: 100%;
}

.header {
    padding-top: 2rem;
    padding-bottom: 2rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: var(--box-shadow);
    position: fixed;
    top: 0;left: 0;right: 0;
    z-index: 1000;
    background-color: var(--white);
}

.header .logo {
    font-size: 2.5rem;
    font-weight: bolder;
    color: var(--black);
}

.header .logo i {
    color: var(--peru);
    padding-right: .5rem;
}

.header .navbar a {
    font-size: 2rem;
    margin-left: 2rem;
    color: var(--light-black);
}

.header .navbar a:hover {
    color: var(--peru);
}

#menu-btn {
    font-size: 2.5rem;
    cursor: pointer;
    color: var(--black);
    display: none;
}

@keyframes fadeIn {
    0% {
        transform: translateY(-4rem) scale(0);
        opacity: 0;
    }
    100%{
        transform: translateY(0) scale(1);
        opacity: 1;
    }
}

.home {
    padding: 0;
    background: var(--black);
}

.home .slide {
    min-height: 100vh;
    background-size: cover !important;
    background-position: center !important;
    position: relative;
    z-index: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.home .slide::before {
    content: '';
    position: absolute;
    top: 0;left: 0;
    height: 100%;
    width: 100%;
    background: var(--dark-bg);
    z-index: -1;
}

.home .slide .content {
    text-align: center;
    width: 70rem;
    display: none;
}

.home .slide .content span {
    font-size: 3rem;
    display: block;
    padding-bottom: .5rem;
    color: var(--light-white);
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .65, 1.34) .2s backwards;
}

.home .slide .content h3 {
    font-size: 8vw;
    text-transform: uppercase;
    color: var(--white);
    text-shadow: 0 .5rem 1rem rgba(0,0,0,0.7);
    line-height: 1;
    padding: 2rem 0;
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .65, 1.34) .4s backwards;
}

.home .slide .content .btn {
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .65, 1.34) .6s backwards;
}

.home .swiper-slide-active .content {
    display: inline-block;
}

.swiper-button-next,
.swiper-button-prev {
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    background: var(--white);
    color: var(--black);
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    background-color: var(--peru);
    color: var(--white);
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 2rem;
}

.about {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.about .image {
    flex: 1 1 41rem;
}

.about .image img {
    width: 100%;
}

.about .content {
    flex: 1 1 41rem;
}

.about .content .title {
    font-size: 4rem;
    color: var(--black);
}

.about .content p {
    font-size: 1.7rem;
    color: var(--light-black);
    padding: 1rem 0;
    line-height: 2;
}

.about .content .icons-container {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    margin-top: 2rem;
}

.about .content .icons-container .icons {
    flex: 1 1 16rem;
    text-align: center;
    background: var(--light-bg);
    padding: 3rem 2rem;
}

.about .content .icons-container .icons img {
    height: 5rem;
}

.about .content .icons-container .icons h3 {
    padding-top: 1rem;
    font-size: 2rem;
    color: var(--light-black);
    font-weight: normal;
}

.food {
    background: var(--light-bg);
}

.food .slide {
    text-align: center;
    padding: 4rem 2rem;
    border-radius: .5rem;
    transform: scale(.9);
    opacity: .5;
    margin-bottom: 4rem;
}

.swiper-horizontal>.swiper-pagination-bullets, .swiper-pagination-bullets.swiper-pagination-horizontal {
    bottom: 0;
}

.swiper-pagination-bullet-active {
    background: var(--peru);
}

.food .swiper-slide-active {
    transform: scale(1);
    opacity: 1;
    background: var(--white);
    box-shadow: var(--box-shadow);
    border: var(--border);
}

.food .slide img {
    height: 25rem;
    margin-bottom: 1rem;
}

.food .slide h3 {
    font-size: 2.5rem;
    padding: 1rem 0;
    color: var(--black);
}

.food .slide .price {
    font-size: 2.5rem;
    color: var(--peru);
}

.food-preview-container {
    background-color: var(--dark-bg);
    position: fixed;
    top: 0;left: 0;
    height: 100%;
    width: 100%;
    z-index: 1100;
    display: none;
    align-items: center;
    justify-content: center;
}

.food-preview-container .food-preview {
    text-align: center;
    background: var(--white);
    padding: 3rem 2rem;
    border-radius: .5rem;
    width: 35rem;
    display: none;
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .65, 1.34) backwards;
}

.food-preview-container .food-preview img {
    height: 25rem;
    margin-bottom: 1rem;
}

.food-preview-container .food-preview h3 {
    padding: 1rem 0;
    font-size: 2.5rem;
    color: var(--black);
}

.food-preview-container .food-preview .stars {
    margin-top: .5rem;
}

.food-preview-container .food-preview .stars i {
    font-size: 1.7rem;
    color: var(--peru);
}

.food-preview-container .food-preview p {
    font-size: 1.6rem;
    color: var(--light-black);
    padding: 1rem 0;
    line-height: 2;
}

.food-preview-container .food-preview .price {
    font-size: 2.5rem;
    color: var(--black);
    margin-bottom: .5rem;
}

#close-preview {
    position: absolute;
    top: 1.5rem;right: 2.5rem;
    font-size: 6rem;
    cursor: pointer;
    color: var(--white);
}

#close-preview:hover {
    transform: rotate(90deg);
}

.food-preview-container .food-preview.active {
    display: inline-block;
}

.gallery .gallery-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(30rem, 1fr));
    gap: 2rem;
}

.gallery .gallery-container .box {
    height: 40rem;
    position: relative;
    overflow: hidden;
}

.gallery .gallery-container .box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery .gallery-container .box .icons {
    position: absolute;
    display: none;
    align-items: center;
    justify-content: center;
    height: 100%;
    top: 0;left: 0;
    width: 100%;
    background-color: var(--dark-bg);
}

.gallery .gallery-container .box .icons i {
    font-size: 5rem;
    color: var(--white);
}

.gallery .gallery-container .box:hover .icons {
    display: flex;
}

.menu {
    background-color: var(--light-bg);
}

.menu .slide .title {
    padding: 1rem;
    font-size: 3rem;
    color: var(--white);
    margin-bottom: 3rem;
    text-align: center;
    background-color: var(--peru);
}

.menu .slide .box-container {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    margin-bottom: 4rem;
}

.menu .slide .box-container .box {
    flex: 1 1 41rem;
    background: var(--white);
    padding: 2rem;
    box-shadow: var(--box-shadow);
    border: var(--border);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu .slide .box-container .box h3 {
    font-size: 2.5rem;
    color: var(--black);
    padding-bottom: .5rem;
}

.menu .slide .box-container .box p {
    font-size: 1.6rem;
    color: var(--light-black);
    line-height: 2;
}

.menu .slide .box-container .box .price {
    font-size: 2.5rem;
    color: var(--peru);
}

.menu .slide .box-container .box:hover {
    transform: scale(0.9);
}

.order {
    background: var(--peru);
}

.order .heading span {
    color: var(--white);
}

.order .heading h3 {
    color: var(--white);
}

.order form {
    padding: 2rem;
    background: var(--white);
    box-shadow: var(--box-shadow);
}

.order form .box-container {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.order form .box-container .box {
    flex: 1 1 41rem;
}

.order form .box-container .box .inputBox input,
.order form .box-container .box .inputBox textarea
{
    width: 100%;
    margin: 1rem 0;
    padding: 1.2rem 1.4rem;
    font-size: 1.7rem;
    color: var(--light-black);
    border: var(--border);
}

.order form .box-container .box .inputBox input::placeholder,
.order form .box-container .box .inputBox textarea::placeholder {
    text-transform: capitalize;
}

.order form .box-container .box .inputBox input:focus,
.order form .box-container .box .inputBox textarea:focus {
    background: var(--black);
    color: var(--white);
}

.order form .box-container .box .inputBox textarea {
    height: 20rem;
    resize: none;
}

.order form .box-container .box .inputBox .map {
    height: 20rem;
    width: 100%;
    margin: .5rem 0;
}

.order form .box-container .box .inputBox span {
    color: var(--light-black);
    font-size: 2rem;
}

.blogs {
    background: var(--light-bg);
}

.blogs .slide {
    width: 35rem;
}

.blogs .slide .image {
    height: 25rem;
    overflow: hidden;
    position: relative;
}

.blogs .slide .image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.blogs .slide .image span {
    position: absolute;
    bottom: -10rem;left: 50%;
    transform: translateX(-50%);
    font-size: 2rem;
    color: var(--white);
    padding: .5rem 1.5rem;
    background-color: var(--black);
    z-index: 10;
}

.blogs .slide:hover .image span {
    bottom: 1rem;
}

.blogs .slide:hover .image img {
    transform: scale(1.1);
}

.blogs .slide .content {
    padding: 2rem;
    background: var(--white);
    box-shadow: var(--box-shadow);
    border: var(--border);
    margin-bottom: 4rem;
}

.blogs .slide .content .icon {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1rem;
}

.blogs .slide .content .icon a {
    font-size: 1.5rem;
    color: var(--light-black);
}

.blogs .slide .content .icon a i {
    padding-right: .7rem;
    color: var(--peru);
}

.blogs .slide .content .icon a:hover {
    color: var(--peru);
}

.blogs .slide .content .title {
    font-size: 2.5rem;
    color: var(--black);
}

.blogs .slide .content .title:hover {
    text-decoration: underline;
}

.blogs .slide .content p {
    padding: 1rem 0;
    list-style: 2;
    font-size: 1.6rem;
    color: var(--light-black);
}

.footer {
    text-align: center;
}

.footer .icons-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 2rem;
}

.footer .icons-container .icons {
    text-align: center;
    padding: 3rem 2rem;
}

.footer .icons-container .icons i {
    height: 6rem;
    width: 6rem;
    border-radius: 50%;
    background: var(--peru);
    color: var(--white);
    margin-bottom: .5rem;
    line-height: 5.8rem;
    font-size: 2rem;
}

.footer .icons-container .icons h3 {
    font-size: 2rem;
    color: var(--black);
    padding: 1rem 0;
}

.footer .icons-container .icons p {
    line-height: 1.5;
    font-size: 1.7rem;
    color: var(--light-black);
    text-transform: none;
}

.footer .share {
    margin: 2rem 0;
}

.footer .share a {
    height: 6rem;
    width: 6rem;
    line-height: 6rem;
    background: var(--black);
    margin: 0 .3rem;
    font-size: 2.5rem;
    color: var(--white);
}

.footer .share a:hover {
    background: var(--peru);
}

.footer .credit {
    padding-top: 3rem;
    margin-top: 2rem;
    border-top: var(--border);
    font-size: 2rem;
    color: var(--light-black);
    padding-bottom: 2rem;
}

.footer .credit span {
    color: var(--peru);
}

/* responsive design  */
@media only screen and (max-width: 1200px) {

    section {
        padding: 3rem 5%;
    }

}

@media only screen and (max-width: 991px) {

    section {
        padding: 3rem 2rem;
    }

    html {
        font-size: 55%;
    }

    .home .slide .content h3 {
        font-size: 15vw;
    }
}

@media only screen and (max-width: 768px) {

    #menu-btn {
        display: block;
    }

    .header .navbar {
        position: absolute;
        top: 99%;left: 0;right: 0;
        background-color: var(--white);
        border-top: var(--border);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }

    .fa-times {
        transform: rotate(180deg);
    }

    .header .navbar.active {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }

    .header .navbar a {
        display: block;
        margin: 2rem;
    }

    .swiper-button-next,
    .swiper-button-prev {
        top: initial;
        bottom: 1rem;
    }

    .menu .slide .box-container .box {
        flex-flow: column;
        text-align: center;
    }
}

@media only screen and (max-width: 450px) {

    html {
        font-size: 50%;
    }

    .home .slide .content h3 {
        font-size: 6rem;
    }
}
